%def_enable doc_html
%def_enable doc_ps
%def_enable doc_pdf
#----------------------------------------------------------------------
%{?_enable_doc_pdf:%{!?_disable_doc_ps:%def_enable doc_ps}}
%{?_enable_doc_ps:%{!?_disable_doc_html:%def_enable doc_html}}

%define Name Frei0r
Name: frei0r
%define major_ver 1
%define minor_ver 1
Version: %major_ver.%minor_ver
Release: alt1
Summary: Plugin api for video sources, filters and mixers
License: GPL2
Group: Video
URL: http://www.piksel.org/%name/
Source: %name-%version.tar.bz2
BuildArch: noarch

# Automatically added by buildreq on Wed May 30 2007
#BuildRequires: doxygen ghostscript-module-X ghostscript-utils tetex-latex

%{?_enable_doc_html:BuildRequires: doxygen}
%{?_enable_doc_ps:BuildRequires: doxygen tetex-dvips tetex-latex}
%if_enabled doc_pdf
BuildRequires: doxygen tetex-dvips tetex-latex
BuildRequires: ghostscript-module-X ghostscript-utils
%endif


%description
%Name is a minimalistic plugin api for video sources, filters and
mixers. The behaviour of the effects can be controlled from the host by
simple parameters. The intent is to solve the recurring
reimplementation or adaptation issue of standard effects.


%package devel
Group: Development/C
Summary: Plugin api for video sources, filters and mixers
Provides: %name = %major_ver.%minor_ver

%description devel
%Name is a minimalistic plugin api for video sources, filters and
mixers. The behaviour of the effects can be controlled from the host by
simple parameters. The intent is to solve the recurring
reimplementation or adaptation issue of standard effects.


%if_enabled doc_html
%package doc-html
Group: Development/Documentation
Summary: HTML documentation for %Name

%description doc-html
%Name is a minimalistic plugin api for video sources, filters and
mixers. The behaviour of the effects can be controlled from the host by
simple parameters. The intent is to solve the recurring
reimplementation or adaptation issue of standard effects.

This package contains %Name documentation in HTML format.
%endif


%if_enabled doc_pdf
%package doc-pdf
Group: Development/Documentation
Summary: PDF documentation for %Name

%description doc-pdf
%Name is a minimalistic plugin api for video sources, filters and
mixers. The behaviour of the effects can be controlled from the host by
simple parameters. The intent is to solve the recurring
reimplementation or adaptation issue of standard effects.

This package contains %Name documentation in PDF format.
%endif


%if_enabled doc_ps
%package doc-ps
Group: Development/Documentation
Summary: PostScript documentation for %Name

%description doc-ps
%Name is a minimalistic plugin api for video sources, filters and
mixers. The behaviour of the effects can be controlled from the host by
simple parameters. The intent is to solve the recurring
reimplementation or adaptation issue of standard effects.

This package contains %Name documentation in PostScript format.
%endif


%prep
%setup


%build
%if_enabled doc_pdf
doxygen %name.doxygen
make -C doc/latex pdf
%else
%if_enabled doc_ps
doxygen %name.doxygen
make -C doc/latex ps
%else
%if_enabled doc_html
doxygen %name.doxygen
%endif
%endif
%endif


%install
install -d 0755 %buildroot{%_includedir,%_docdir/%name-%major_ver.%minor_ver%{?_enable_doc_html:/html}}
install %name.h %buildroot%_includedir/
%{?_enable_doc_html:install -m 0644 doc/html/* %buildroot%_docdir/%name-%major_ver.%minor_ver/html/}
%{?_enable_doc_ps:install -m 0644 doc/latex/*.ps %buildroot%_docdir/%name-%major_ver.%minor_ver/}
%{?_enable_doc_pdf:install -m 0644 doc/latex/*.pdf %buildroot%_docdir/%name-%major_ver.%minor_ver/}


%files devel
%_includedir/*


%if_enabled doc_html
%files doc-html
%dir %_docdir/%name-%major_ver.%minor_ver
%_docdir/%name-%major_ver.%minor_ver/html
%endif


%if_enabled doc_pdf
%files doc-pdf
%dir %_docdir/%name-%major_ver.%minor_ver
%_docdir/%name-%major_ver.%minor_ver/*.pdf
%endif


%if_enabled doc_ps
%files doc-ps
%dir %_docdir/%name-%major_ver.%minor_ver
%_docdir/%name-%major_ver.%minor_ver/*.ps
%endif


%changelog
* Wed May 30 2007 Led <led@altlinux.ru> 1.1-alt1
- initial build
